import React, { Fragment } from 'react';
import { useBreadcrumbValue } from '../other/state';
import { useMediaQuery } from '../../../../hooks/self/use-media-query';
import { cls, clsIf } from '../../../../util/self/classes';
import { Link } from 'react-router-dom';
import { Icon } from '../../icon';
export const Breadcrumb = () => {
    var _a;
    const breadcrumb = useBreadcrumbValue();
    const isSmall = !useMediaQuery('(min-width: 640px)');
    if (!breadcrumb || !breadcrumb.items.length)
        return null;
    const { buttons, items } = breadcrumb;
    const last = items[items.length - 1];
    const back = items.length > 2 && items[items.length - 2];
    return (React.createElement("div", { className: 'flex items-center justify-between px-4' },
        React.createElement("div", { className: 'flex gap-2 h-14 items-center' },
            !isSmall && (React.createElement(Fragment, null,
                React.createElement("div", { className: cls('inline-block select-none', clsIf(items.length !== 1, 'border-gray-200 border-r pr-4', '')) }, last.title),
                React.createElement("div", { className: 'inline-block pl-4' }, items.map((item, index) => item !== last && (React.createElement("div", { key: index, className: 'inline-block last:mr-0 mr-4 text-gray-400 text-sm' }, item.url ? React.createElement(Link, { to: item.url }, item.title) : item.title)))))),
            isSmall && (React.createElement(Fragment, null,
                !!back && back.url && (React.createElement(Link, { to: (_a = back.url) !== null && _a !== void 0 ? _a : '#' },
                    React.createElement(Icon, { type: 'arrow_back', className: 'text-2xl' }))),
                React.createElement("div", { className: 'flex flex-col' },
                    !!back && React.createElement("div", null, back.title),
                    React.createElement("div", { className: cls('inline-block select-none text-gray-500 text-sm') }, last.title))))),
        buttons));
};
//# sourceMappingURL=breadcrumb.js.map