import { useEffect, useMemo, useRef, useState } from 'react';
import { createDataKey, useDataValue, useSetDataValue } from '../../data-context/state';
let places = 0;
const key = createDataKey('breadcrumb', []);
const keyButtons = createDataKey('breadcrumb-buttons', null);
export const useBreadcrumb = (breadcrumb) => {
    const set = useSetDataValue(key);
    const place = useRef(-1);
    if (place.current === -1)
        place.current = places++;
    useEffect(() => () => {
        places--;
    }, []);
    useEffect(() => {
        set((old) => {
            const copy = [...old];
            copy.push({ place: place.current, breadcrumb });
            copy.sort((a, b) => a.place - b.place);
            return copy;
        });
        return () => set((old) => old.filter((e) => e.place !== place.current));
    }, [set, breadcrumb]);
};
export const useBreadcrumbButtons = (buttons) => {
    const set = useSetDataValue(keyButtons);
    useEffect(() => {
        set(buttons);
        return () => set(null);
    }, [buttons, set]);
};
export const useBreadcrumbValue = () => {
    const [effect, setEffect] = useState(false);
    const items = useDataValue(key);
    const buttons = useDataValue(keyButtons);
    useEffect(() => {
        setEffect(true);
    }, []);
    return useMemo(() => effect
        ? { buttons, items: items.map((x) => x.breadcrumb) }
        : { buttons: null, items: items.map((x) => x.breadcrumb) }, [buttons, effect, items]);
};
//# sourceMappingURL=state.js.map