var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useCallback } from 'react';
import { useHistory } from 'react-router-dom';
import { cls } from '../../../../util/self/classes';
const palletToClass = {
    blue: 'bg-blue-500 border-blue-500 hover:bg-blue-400 hover:border-blue-400 border border-solid text-white',
    blue_out: 'bg-transparent border-blue-500 border border-solid hover:bg-blue-500 text-blue-500 hover:text-white font-semibold',
    gray: 'bg-gray-500 border-gray-500 hover:bg-gray-400 hover:border-gray-400 border border-solid text-white',
    gray_out: 'bg-transparent border-gray-500 border border-solid hover:bg-gray-500 text-gray-500 hover:text-white font-semibold',
    green: 'bg-green-500 border-green-500 hover:bg-green-400 hover:border-green-400 border border-solid text-white',
    green_out: 'bg-transparent border-green-500 border border-solid hover:bg-green-500 text-green-500 hover:text-white font-semibold',
    yellow: 'bg-yellow-500 border-yellow-500 hover:bg-yellow-400 hover:border-yellow-400 border border-solid text-white',
    yellow_out: 'bg-transparent border-yellow-500 border border-solid hover:bg-yellow-500 text-yellow-500 hover:text-white font-semibold',
    red: 'bg-red-500 border-red-500 hover:bg-red-400 hover:border-red-400 border border-solid text-white',
    red_out: 'bg-transparent border-red-500 border border-solid hover:bg-red-500 text-red-500 hover:text-white font-semibold',
    none: '',
};
export const Button = (_a) => {
    var { children, type = 'button', url, onClick, className, pallet } = _a, rest = __rest(_a, ["children", "type", "url", "onClick", "className", "pallet"]);
    const history = useHistory();
    const override = useCallback((e) => {
        onClick === null || onClick === void 0 ? void 0 : onClick(e);
        if (url)
            history === null || history === void 0 ? void 0 : history.push(url);
    }, [history, onClick, url]);
    return (React.createElement("button", Object.assign({ className: cls('cursor-pointer disabled:opacity-50 px-4 py-1 text-center whitespace-nowrap', palletToClass[pallet], className), onClick: override, type: type }, rest), children));
};
//# sourceMappingURL=button.js.map