import React, { useCallback, useEffect, useState } from 'react';
import { useOutsideClick } from '../../../../hooks/use-outside-click';
import { cls } from '../../../../util/classes';
import { Context } from '../other/_state';
export const DropdownContainer = ({ className, children, disabled }) => {
    const [open, setOpen] = useState(false);
    const ref = useOutsideClick(open, useCallback(() => setOpen(false), [setOpen]), false);
    useEffect(() => {
        if (open && disabled)
            setOpen(true);
    }, [disabled, open]);
    const click = useCallback((event) => {
        var _a;
        if (disabled)
            return;
        if (open && event.target.closest('ul') === ((_a = ref.current) === null || _a === void 0 ? void 0 : _a.querySelector('ul')))
            return;
        setOpen((open) => !open);
    }, [open, ref, disabled]);
    const close = useCallback(() => {
        setOpen(false);
    }, [setOpen]);
    return (React.createElement(Context.Provider, { value: { close, open } },
        React.createElement("div", { className: cls('relative', className), ref: ref, onClick: click }, children)));
};
//# sourceMappingURL=_dropdown-container.js.map