var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext, useEffect, useRef } from 'react';
import { clsWith } from '../../../../util/self/classes';
import { Context } from '../other/state';
export const DropdownItems = (_a) => {
    var { children, className } = _a, rest = __rest(_a, ["children", "className"]);
    const { open } = useContext(Context);
    const ref = useRef(null);
    useEffect(() => {
        if (!className && open && ref.current) {
            const element = ref.current;
            const bounding = element.getBoundingClientRect();
            const windowWidth = window.innerWidth;
            const left = bounding.left;
            const width = element.clientWidth;
            if (left + width > windowWidth)
                element.classList.add('right-0');
        }
    }, [className, open]);
    if (!open)
        return null;
    return (React.createElement("ul", Object.assign({ ref: ref, className: clsWith('absolute top-full bg-white shadow-lg max-h-80 z-30 overflow-y-auto min-w-full', className) }, rest), children));
};
//# sourceMappingURL=dropdown-items.js.map