import React, { Fragment } from 'react';
import LoadingState from '../other/state';
import { cls } from '../../../../util/classes';
import { Spinner } from './spinner';
import { Background } from './background';
export const LoadingContainer = ({ children, type = 'spinner', withoutContainer, className, componentClassName, }) => {
    const [loading, setLoading] = LoadingState.useIsLoadingContext();
    const Component = type === 'spinner' ? Spinner : Background;
    return (React.createElement(LoadingState.Context.Provider, { value: { setLoading } },
        !withoutContainer && (React.createElement("div", { className: cls('relative', className) },
            loading && React.createElement(Component, { className: componentClassName }),
            children)),
        withoutContainer && (React.createElement(Fragment, null,
            loading && React.createElement(Component, { className: componentClassName }),
            children))));
};
//# sourceMappingURL=container.js.map