import React, { useContext } from 'react';
import { Context, useModalClose } from '../other/state';
import { cls, Icon, LoadingContainer, useOutsideClick } from '../../../..';
const sizes = {
    sm: 'max-w-sm w-full',
    md: 'max-w-md w-full',
    lg: 'max-w-lg w-full',
    xl: 'max-w-xl w-full',
    '3xl': 'max-w-3xl w-full',
};
const positions = {
    left: 'items-center justify-end',
    leftFull: 'justify-end',
    right: 'items-center justify-start',
    rightFull: 'justify-start',
    top: 'items-start justify-center',
    bottom: 'items-end justify-center',
    default: 'items-start justify-center pt-20',
};
export const Modal = ({ children, position = 'default', size = '3xl', title, closeWhenClickOutside = false, buttons, }) => {
    const index = useContext(Context);
    const close = useModalClose();
    const ref = useOutsideClick(!!closeWhenClickOutside, close);
    return (React.createElement("div", { className: cls('absolute flex h-full w-full', positions[position]), style: { zIndex: index } },
        React.createElement("div", { ref: ref, className: cls('animate-opacity bg-white shadow-md', sizes[size]) },
            (title || buttons) && (React.createElement("div", { className: 'flex h-12 items-center justify-between px-4 select-none' },
                React.createElement("div", { className: 'flex-1' }, title),
                React.createElement("div", { className: 'flex gap-4 text-2xl' },
                    !!buttons && buttons,
                    React.createElement(Icon, { type: 'close', className: 'cursor-pointer', onClick: close })))),
            React.createElement("div", { className: 'relative' },
                React.createElement(LoadingContainer, null, children)))));
};
//# sourceMappingURL=modal.js.map