import React, { useEffect } from 'react';
import { Context, useModalValue } from '../other/state';
export const Modals = () => {
    const modals = useModalValue();
    const has = modals.length != 0;
    useEffect(() => {
        const classList = document.body.classList;
        const classes = ['h-screen', 'overflow-y-hidden'];
        if (has)
            classList.add(...classes);
        else
            classList.remove(...classes);
        return () => classList.remove(...classes);
    }, [has]);
    if (!has)
        return null;
    const length = modals.length;
    return (React.createElement("div", { className: 'fixed h-full left-0 overflow-y-auto top-0 w-full z-20' },
        React.createElement("div", { className: 'animate-opacity bg-black bg-opacity-50 fixed h-full left-0 top-0 w-full z-10', style: { zIndex: length } }),
        modals.map((modal, index) => (React.createElement(Context.Provider, { key: modal.uniqueId, value: length === index + 1 ? index + 1 : index },
            React.createElement(modal.element, null))))));
};
//# sourceMappingURL=modals.js.map