import { createContext, useCallback, useEffect, useRef } from 'react';
import { createDataKey, useDataValue, useSetDataValue } from '../../../data-context';
const key = createDataKey('modal', []);
let ids = 0;
export const Context = createContext(0);
const useModal = (track = true) => {
    const opened = useRef([]);
    const set = useSetDataValue(key);
    useEffect(() => {
        if (!track)
            return;
        const current = opened.current;
        return () => set((old) => old.filter((x) => !current.includes(x.uniqueId)));
    }, [set, track]);
    return useCallback((element) => {
        const uniqueId = ids++;
        opened.current.push(uniqueId);
        set((old) => [...old, { element, uniqueId }]);
    }, [set]);
};
const useModalClose = () => {
    const set = useSetDataValue(key);
    return useCallback(() => set((old) => old.filter((e, index) => index + 1 !== old.length)), [set]);
};
const useModalValue = () => useDataValue(key);
export { useModal, useModalClose, useModalValue };
//# sourceMappingURL=state.js.map