import React from 'react';
import { useModalClose } from './state';
import { Button } from '../button';
import { Form } from '../../form';
import { Icon } from '../icon';
import { ModalTemplate } from './templates';
const ImagePreview = ({ source }) => {
    const close = useModalClose();
    return (React.createElement(ModalTemplate.Center, { closeWhenClickOutside: true },
        React.createElement("div", { className: 'bg-gray-700 flex flex-1 items-center justify-center' },
            React.createElement(Icon, { className: 'absolute cursor-pointer font-2xl right-8 text-white top-8', type: 'close', onClick: close }),
            React.createElement("img", { className: 'max-h-full max-w-full', src: source, alt: '' }))));
};
const Filter = ({ children, handler, title }) => {
    return (React.createElement(ModalTemplate.Right, { title: title, closeWhenClickOutside: true },
        React.createElement(Form, { handler: handler },
            React.createElement("div", { className: 'bg-white flex flex-col gap-4' },
                children,
                React.createElement(Button, { pallet: 'blue', type: 'submit', className: 'w-full' }, "Filtrar")))));
};
export const ModalUtils = { ImagePreview, Filter };
//# sourceMappingURL=util.js.map