import React from 'react';
import { useModalClose } from '../other/state';
import { useOutsideClick } from '../../../../hooks';
import { cls, clsIf } from '../../../../util';
import { Icon } from '../../icon';
import { LoadingContainer } from '../../loading';
export const BasicModalTemplate = ({ children, title, buttons, small, closeWhenClickOutside, }) => {
    const close = useModalClose();
    const ref = useOutsideClick(!!closeWhenClickOutside, close);
    return (React.createElement("div", { ref: ref, className: cls('absolute animate-opacity bg-white left-0 mb-20 mx-auto my-0 right-0 shadow-md top-20', clsIf(!!small, 'max-w-sm', 'max-w-3xl ')) },
        (title || buttons) && (React.createElement("div", { className: 'flex h-12 items-center justify-between px-4 select-none' },
            React.createElement("div", { className: 'flex-1' }, title),
            React.createElement("div", { className: 'flex gap-4 text-2xl' },
                !!buttons && buttons,
                React.createElement(Icon, { type: 'close', className: 'cursor-pointer', onClick: close })))),
        React.createElement("div", { className: 'relative' },
            React.createElement(LoadingContainer, null, children))));
};
//# sourceMappingURL=basic-modal-template.js.map