import React from 'react';
import { useModalClose } from '../other/state';
import { useOutsideClick } from '../../../../hooks/self/use-outside-click';
import { Icon } from '../../icon';
import { LoadingContainer } from '../../loading';
export const CenteredModalTemplate = ({ children, title, buttons, closeWhenClickOutside }) => {
    const close = useModalClose();
    const ref = useOutsideClick(!!closeWhenClickOutside, close);
    return (React.createElement("div", { className: 'flex flex-1 items-center justify-center' },
        React.createElement("div", { ref: ref, className: 'animate-opacity bg-white max-w-3xl relative shadow-md w-full' },
            (title || buttons) && (React.createElement("div", { className: 'flex h-12 items-center justify-between px-4 select-none' },
                React.createElement("div", { className: 'flex-1' }, title),
                React.createElement("div", { className: 'flex gap-4 text-xl' },
                    !!buttons && buttons,
                    React.createElement(Icon, { type: 'close', className: 'cursor-pointer', onClick: close })))),
            React.createElement(LoadingContainer, { withoutContainer: true }, children))));
};
//# sourceMappingURL=centered-modal-template.js.map