import React from 'react';
import { useModalClose } from '../other/state';
import { useOutsideClick } from '../../../../hooks/self/use-outside-click';
export const RightModalTemplate = ({ children, title, closeWhenClickOutside }) => {
    const close = useModalClose();
    const ref = useOutsideClick(!!closeWhenClickOutside, close);
    return (React.createElement("div", { className: 'h-screen overflow-hidden relative w-full' },
        React.createElement("div", { ref: ref, className: 'absolute animate-right-left bg-white h-screen min-w-[250px] p-4 right-0' },
            title && React.createElement("h2", { className: 'mb-4 text-2xl text-center text-gray-500' }, title),
            children)));
};
//# sourceMappingURL=right-modal-template.js.map