import { Icon } from '../../icon';
import React, { useCallback } from 'react';
import { useInterval } from '../../../../hooks/self/use-interval';
import { cls } from '../../../../util/self/classes';
import { useNotificationValue, useSetNotificationValue } from '../other/state';
const iconTransform = {
    ERROR: { type: 'error', color: 'bg-red-600' },
    INFO: { type: 'info', color: 'bg-green-600' },
};
export const Notification = () => {
    const set = useSetNotificationValue();
    const notifications = useNotificationValue();
    const callback = useCallback(() => set((old) => {
        if (old.find((e) => e.time <= Date.now()))
            return old.filter((e) => e.time > Date.now());
        return old;
    }), [set]);
    useInterval(callback, 1000);
    if (notifications.length === 0)
        return null;
    return (React.createElement("div", { className: 'bottom-0 fixed flex flex-col p-4 pointer-events-none right-0 w-80', style: { zIndex: 100 } }, notifications.map((value) => (React.createElement("div", { className: cls('cursor-pointer flex items-center justify-between mt-4 p-2 pointer-events-auto text-white w-full', iconTransform[value.type].color), key: value.time },
        React.createElement("div", { className: 'flex-0 h-8 leading-8 self-center text-2xl w-8' },
            React.createElement(Icon, { type: iconTransform[value.type].type })),
        React.createElement("div", { className: 'flex-1 ml-2 self-center' }, value.content))))));
};
//# sourceMappingURL=notification.js.map