import { useMemo } from 'react';
import { createDataKey, useDataValue, useSetDataValue } from '../../../data-context';
const key = createDataKey('notification', []);
export const useNotification = () => {
    const set = useSetDataValue(key);
    return useMemo(() => {
        const add = (notification) => set((old) => notification && [...old, Object.assign(Object.assign({}, notification), { time: new Date().getTime() + 10000 })]);
        return {
            error: (content) => add({ type: 'ERROR', content }),
            info: (content) => add({ type: 'INFO', content }),
        };
    }, [set]);
};
export const useNotificationValue = () => useDataValue(key);
export const useSetNotificationValue = () => useSetDataValue(key);
//# sourceMappingURL=state.js.map