import { useMemo } from 'react';
import { createDataKey, useDataValue, useSetDataValue } from '../../data-context/state';
const key = createDataKey('notification', []);
const useNotification = () => {
    const set = useSetDataValue(key);
    return useMemo(() => {
        const add = (notification) => set((old) => notification && [...old, Object.assign(Object.assign({}, notification), { time: new Date().getTime() + 10000 })]);
        return {
            error: (content) => add({ type: 'ERROR', content }),
            info: (content) => add({ type: 'INFO', content }),
        };
    }, [set]);
};
const useNotificationValue = () => useDataValue(key);
const useSetNotificationValue = () => useSetDataValue(key);
export { useNotification, useNotificationValue, useSetNotificationValue };
//# sourceMappingURL=state.js.map