import React from 'react';
import { useSubscriber } from '../../../../hooks/self/use-subscriber';
import { Icon } from '../../icon';
import { cls } from '../../../../util/self/classes';
export const Pagination = ({ datasource }) => {
    const set = datasource.set.pagination;
    const { page, size, total } = useSubscriber(datasource.subscriber.pagination);
    const showingFrom = (page - 1) * size;
    const showingTo = showingFrom + size > total ? total : showingFrom + size;
    return (React.createElement("div", { className: 'flex gap-4 items-center justify-end select-none text-gray-600' },
        React.createElement("div", null,
            "P\u00E1gina ",
            page),
        React.createElement("div", null,
            showingTo > 0 ? showingFrom + 1 : showingFrom,
            "-",
            showingTo,
            " de ",
            total),
        React.createElement("div", { className: 'text-lg' },
            React.createElement(Icon, { type: 'navigate_before', className: cls('cursor-pointer', cls(page <= 1, 'pointer-events-none text-gray-300')), onClick: () => set({ page: page - 1 }) }),
            React.createElement(Icon, { type: 'navigate_next', className: cls('cursor-pointer', cls(showingTo === total, 'pointer-events-none text-gray-300')), onClick: () => set({ page: page + 1 }) }))));
};
//# sourceMappingURL=pagination.js.map