import React, { useEffect, useMemo, useRef, useState } from 'react';
import { cls } from '../../../../util/self/classes';
import { Context } from '../other/state';
import { CommonHeader } from './common-header';
export const TabGroup = ({ children, overrideHeader, className, bodyClassName, tabClassName, tabItemClassName, tabItemSelectedClassName, }) => {
    const [items, setItems] = useState([]);
    const [selected, setSelected] = useState(0);
    const ids = useRef(0);
    const value = useMemo(() => ({
        add(title, setShow) {
            const index = ids.current++;
            setItems((old) => [...old, { index, title, setShow }]);
            return index;
        },
        remove(index) {
            setItems((old) => old.filter((value) => value.index !== index));
        },
    }), []);
    useEffect(() => {
        const item = items.find((e) => e.index === selected);
        item === null || item === void 0 ? void 0 : item.setShow(true);
        return () => item === null || item === void 0 ? void 0 : item.setShow(false);
    }, [items, selected]);
    const OverrideHeader = overrideHeader !== null && overrideHeader !== void 0 ? overrideHeader : CommonHeader;
    return (React.createElement(Context.Provider, { value: value },
        React.createElement("div", { className: cls('w-full', className) },
            React.createElement(OverrideHeader, { items: items, setSelected: setSelected, selected: selected, className: tabClassName, itemClassName: tabItemClassName, itemSelectedClassName: tabItemSelectedClassName }),
            React.createElement("div", { className: bodyClassName !== null && bodyClassName !== void 0 ? bodyClassName : 'flex flex-col gap-4 p-4 bg-white' }, children))));
};
//# sourceMappingURL=tab-group.js.map