import React, { useContext, useEffect, useMemo, useState } from 'react';
import { Context } from '../other/state';
export const Tab = ({ title, render, component: Component }) => {
    var _a;
    const { add, remove } = useContext(Context);
    const [show, setShow] = useState(false);
    useEffect(() => {
        const id = add(title, setShow);
        return () => remove(id);
    }, [add, remove, title]);
    if (Component && render)
        throw 'The Tab component must have one render or component';
    if (!Component && render === undefined)
        throw 'The Tab component must have one render or component';
    const memo = (_a = useMemo(() => (Component ? React.createElement(Component, null) : render ? render() : null), [Component, render])) !== null && _a !== void 0 ? _a : null;
    return show ? memo : null;
};
//# sourceMappingURL=tabs.js.map