import { createContext, useCallback, useContext, useEffect, useState } from 'react';
export const Context = createContext({});
export const createDataKey = (key, def) => {
    return { value: key, def };
};
const selfSelector = (x) => x;
export const useDataValue = (key) => useDataValueSelector(key, selfSelector);
export const useDataValueSelector = (key, selector) => {
    const context = useContext(Context);
    const [value, setValue] = useState(selector(context.value(key)));
    useEffect(() => context.listen(key, (value) => setValue(selector(value))), [context, key, selector, setValue]);
    return value;
};
export const useSetDataValue = (key) => {
    const context = useContext(Context);
    // eslint-disable-next-line react-hooks/exhaustive-deps
    return useCallback(context.setValue(key), [key]);
};
//# sourceMappingURL=state.js.map