import React, { useMemo, useRef } from 'react';
import { Context } from './state';
export const DataContextProvider = ({ children }) => {
    const value = useRef({});
    const listening = useRef({});
    const handler = useMemo(() => ({
        listen: (key, dispatch) => {
            const current = listening.current;
            if (!(key.value in current))
                current[key.value] = [];
            listening.current[key.value].push(dispatch);
            if (key.value in value.current)
                dispatch(value.current[key.value]);
            return () => {
                const arr = current[key.value];
                arr.splice(arr.indexOf(dispatch), 1);
                if (arr.length == 0)
                    delete current[key.value];
            };
        },
        setValue: (key) => {
            return (action) => {
                var _a, _b;
                const newValue = action instanceof Function ? action((_a = value.current[key.value]) !== null && _a !== void 0 ? _a : key.def) : action;
                value.current[key.value] = newValue;
                (_b = listening.current[key.value]) === null || _b === void 0 ? void 0 : _b.forEach((e) => e(newValue));
            };
        },
        value: (key) => {
            var _a;
            return (_a = value.current[key.value]) !== null && _a !== void 0 ? _a : key.def;
        },
    }), []);
    return React.createElement(Context.Provider, { value: handler }, children);
};
//# sourceMappingURL=provider.js.map