import { Dispatch, SetStateAction } from 'react';
export declare type DataKey<E> = {
    value: string;
    def: E;
};
export declare type ContextType<E> = {
    listen: (key: DataKey<E>, dispatch: Dispatch<SetStateAction<E>>) => () => void;
    setValue: (key: DataKey<E>) => Dispatch<SetStateAction<E>>;
    value: (key: DataKey<E>) => E;
};
export declare const Context: import("react").Context<ContextType<any>>;
export declare const createDataKey: <E>(key: string, def: E) => DataKey<E>;
export declare const useDataValue: <E>(key: DataKey<E>) => E;
export declare const useDataValueSelector: <TValue, TProperty>(key: DataKey<TValue>, selector: (value: TValue) => TProperty) => TProperty;
export declare const useSetDataValue: <E>(key: DataKey<E>) => Dispatch<SetStateAction<E>>;
//# sourceMappingURL=state.d.ts.map