import { useEffect } from 'react';
import { useHistory } from 'react-router-dom';
import { useField } from '../hooks/use-field';
import { changedName } from './form';
export const SureExit = ({ message }) => {
    const history = useHistory();
    const { subscriber: { value }, } = useField(changedName, false);
    useEffect(() => {
        if (value.value()) {
            window.onbeforeunload = () => message;
            const unregister = history.block(() => message);
            return () => {
                unregister();
                window.onbeforeunload = null;
            };
        }
    }, [history, message, value]);
    return null;
};
//# sourceMappingURL=sure-exit.js.map