import { useCallback, useContext, useEffect, useMemo } from 'react';
import { FormState } from '../other/formState';
import { createObservable } from '../../../hooks/self/use-subscriber';
const useField = (name, def) => {
    const context = useContext(FormState);
    const { error, value } = useMemo(() => ({
        value: createObservable(def),
        error: createObservable(''),
    }), 
    // eslint-disable-next-line react-hooks/exhaustive-deps
    []);
    const setValue = useCallback((value) => {
        context.set(name, value instanceof Function ? value(context.get(name)[0]) : value);
    }, [context, name]);
    useEffect(() => {
        const change = (field) => {
            value.dispatch(field[0]);
            error.dispatch(field[1]);
        };
        context.subscribe(name, change, def);
        return () => context.unsubscribe(change);
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [context, error, name, value]);
    return {
        setValue,
        subscriber: {
            error: error.subscriber,
            value: value.subscriber,
        },
    };
};
export { useField };
//# sourceMappingURL=use-field.js.map