import { useCallback, useContext, useEffect } from 'react';
import { FormContext } from '../form-context';
const useListenField = (name, callback, def) => {
    const context = useContext(FormContext);
    const setValue = useCallback((value) => {
        context.set(name, value instanceof Function ? value(context.get(name)[0]) : value);
    }, [context, name]);
    useEffect(() => {
        context.subscribe(name, callback, def);
        return () => context.unsubscribe(callback);
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [callback, context, name]);
    return { setValue };
};
export { useListenField };
//# sourceMappingURL=use-listen-field.js.map