var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useCallback, useMemo } from 'react';
import { createObservable, useSubscriber, useSubscriberCallback, useSubscriberSelectorAsSubscriber, } from '../../../../hooks/use-subscriber';
import { cls } from '../../../../util/classes';
import { Icon } from '../../../common/icon';
import { useField } from '../../hooks/use-field';
const Checkable = ({ rounded, label, _value, setValue }) => {
    const value = useSubscriber(_value);
    return (React.createElement("div", { className: 'relative select-none' },
        React.createElement("label", { className: 'flex gap-2 items-center leading-7' },
            React.createElement("input", { className: 'hidden', type: 'checkbox', checked: value !== null && value !== void 0 ? value : false, onChange: setValue }),
            React.createElement("div", { className: cls('border-2 flex h-6 items-center justify-center w-6', cls(rounded, 'rounded-md'), cls(!value, 'border-gray-500'), cls(!!value, 'bg-blue-500 border-blue-500')) }, !!value && React.createElement(Icon, { type: 'check', className: 'font-bold h-6 leading-6 text-center text-white w-6' })),
            !!label && React.createElement("div", null, label))));
};
export const Checkbox = (_a) => {
    var { name } = _a, props = __rest(_a, ["name"]);
    const { subscriber: { value: _value }, setValue, } = useField(name, false);
    return React.createElement(Checkable, Object.assign({ type: 'checkbox', _value: _value, setValue: () => setValue((old) => !old) }, props));
};
export const CheckboxList = (_a) => {
    var { name, value } = _a, props = __rest(_a, ["name", "value"]);
    const { subscriber: { value: _value }, setValue, } = useField(name, []);
    const valueObservable = useMemo(() => createObservable(false), []);
    useSubscriberCallback(_value, useCallback((values) => { var _a; return valueObservable.dispatch((_a = values === null || values === void 0 ? void 0 : values.includes(value)) !== null && _a !== void 0 ? _a : false); }, [value, valueObservable]));
    const toggle = useCallback(() => {
        setValue((old) => {
            if (old === null || old === void 0 ? void 0 : old.includes(value))
                return old.filter((e) => e !== value);
            return [...(old !== null && old !== void 0 ? old : []), value];
        });
    }, [setValue, value]);
    return React.createElement(Checkable, Object.assign({ type: 'checkbox', _value: valueObservable.subscriber, setValue: toggle }, props));
};
export const Radio = (_a) => {
    var { name, value } = _a, props = __rest(_a, ["name", "value"]);
    const { subscriber: { value: _currentValue }, setValue, } = useField(name, null);
    const _value = useSubscriberSelectorAsSubscriber(_currentValue, useCallback((v) => v === value, [value]));
    return React.createElement(Checkable, Object.assign({ rounded: true, type: 'checkbox', _value: _value, setValue: () => setValue(value) }, props));
};
//# sourceMappingURL=index.js.map