import React, { useCallback } from 'react';
import { Icon } from '../../../common/icon';
import { fileToBase64 } from '../../../../util/file';
import { useField } from '../../hooks/use-field';
import { useSubscriber } from '../../../../hooks/use-subscriber';
export const Gallery = ({ name, idToUrl }) => {
    const { subscriber: { value: valueSb }, setValue, } = useField(name + '.pictures', []);
    const value = useSubscriber(valueSb);
    const fileChange = useCallback((event) => {
        if (event.target.files && event.target.files.length === 1) {
            const file = event.target.files[0];
            fileToBase64(file, (base64) => setValue((old) => [...old, { id: 0, base64 }]));
        }
    }, [setValue]);
    const remove = (val) => setValue((old) => old.filter((x) => !(x.id === val || x.base64 === val)));
    return (React.createElement("div", { className: 'gap-4 grid sm:grid-cols-2 md:grid-cols-3 lg:grid-cols-4' },
        React.createElement("div", { className: 'relative', style: { paddingTop: '75%' } },
            React.createElement("label", { className: 'absolute bg-white cursor-pointer flex h-full items-center justify-center left-0 shadow top-0 w-full' },
                React.createElement("input", { type: 'file', onChange: fileChange, className: 'hidden' }),
                React.createElement(Icon, { className: 'text-2xl', type: 'add_a_photo' }))),
        value.map((x, index) => {
            var _a;
            return (React.createElement("div", { key: x.id ? x.id : -index, className: 'hover:trigger-flex relative', style: { paddingTop: '75%' } },
                React.createElement("div", { className: 'absolute bg-white cursor-pointer flex h-full items-center justify-center left-0 shadow top-0 w-full' },
                    React.createElement("img", { src: (_a = x.base64) !== null && _a !== void 0 ? _a : idToUrl(x.id), className: 'max-h-full max-w-full', alt: '' })),
                React.createElement("div", { className: 'absolute bg-black bg-opacity-50 h-full hover:trigger-target items-center justify-center left-0 shadow text-white top-0 w-full' },
                    React.createElement(Icon, { type: 'delete', className: 'cursor-pointer text-2xl', onClick: () => { var _a; return remove((_a = x.base64) !== null && _a !== void 0 ? _a : x.id); } }))));
        })));
};
//# sourceMappingURL=index.js.map