import React, { useCallback, useRef } from 'react';
import { useField } from '../../hooks/use-field';
import { useSubscriberCallback } from '../../../../hooks/use-subscriber';
import { InputError } from '../utils';
export const Range = ({ name, label, min = 0, max = 100, step = 1, format }) => {
    const ref = useRef(null);
    const displayRef = useRef(null);
    const { subscriber: { value: valueSb, error: _error }, setValue, } = useField(name, min);
    useSubscriberCallback(valueSb, useCallback((value) => {
        if (ref.current)
            ref.current.value = value;
        if (displayRef.current)
            displayRef.current.innerText = (format ? format(value) : value);
    }, [format]));
    return (React.createElement("div", { className: 'relative w-full' },
        React.createElement("label", { className: 'text-sm' }, label),
        React.createElement("div", { className: 'h-6 w-full' },
            React.createElement("input", { ref: ref, type: 'range', className: 'common-slider w-full', onChange: (e) => setValue(+e.target.value), value: min, step: step, min: min, max: max })),
        React.createElement("div", { className: 'flex justify-center leading-3 pointer-events-none select-none text-gray-500' },
            React.createElement("div", { ref: displayRef })),
        React.createElement(InputError, { _error: _error })));
};
//# sourceMappingURL=index.js.map