import React from 'react';
import { useSubscriber } from '../../../hooks/use-subscriber';
import { cls } from '../../../util/classes';
export const InputBorder = ({ _error, disabled, label }) => {
    const error = !!useSubscriber(_error);
    const borderColor = disabled ? 'border-gray-300' : error ? 'border-red-500' : 'border-gray-500';
    const color = disabled ? 'text-gray-300' : error ? 'text-red-500' : 'text-gray-700';
    return (React.createElement("div", { className: 'absolute flex h-full left-0 min-h-4 pointer-events-none top-0 w-full' },
        React.createElement("div", { className: cls('border-b border-l border-solid border-t min-w-2', borderColor) }),
        React.createElement("div", { className: cls('border-b border-solid border-t px-1 select-none text-transparent whitespace-nowrap', borderColor) },
            label,
            React.createElement("label", { className: cls('block whitespace-nowrap', color) }, label)),
        React.createElement("div", { className: cls('border-b border-r border-solid border-t flex-1 min-w[0.5rem] overflow-ellipsis', borderColor) })));
};
export const InputError = ({ _error }) => {
    const error = useSubscriber(_error);
    if (!error)
        return null;
    return React.createElement("div", { className: 'break-all h-4 text-red-500 text-xs' }, error);
};
//# sourceMappingURL=utils.js.map