import { useCallback } from 'react';
import { useField } from '../../hooks/use-field';
import { useSubscriber, useSubscriberCallback } from '../../../../hooks/use-subscriber';
import React from 'react';
export const Value = ({ name, render, onChange }) => {
    const { subscriber } = useField(name, null);
    useSubscriberCallback(subscriber.value, useCallback((value) => {
        if (onChange)
            onChange(value);
    }, [onChange]));
    return render ? React.createElement(ValueRender, { render: render, valueSb: subscriber.value }) : null;
};
const ValueRender = ({ render, valueSb }) => {
    const value = useSubscriber(valueSb);
    return render(value);
};
//# sourceMappingURL=index.js.map