export const fixFieldName = (errors) => {
    for (const error of errors) {
        const original = error.field;
        let str = '';
        let next = true;
        for (let i = 0; i < original.length; i++) {
            const char = original[i];
            if (next) {
                next = false;
                str += char.toLowerCase();
            }
            else {
                if (char === '.')
                    next = true;
                str += char;
            }
        }
        error.field = str;
    }
};
export const mapFieldErrors = (errors) => {
    return errors.reduce((e, c) => {
        e[c.field] = c.errors[0];
        return e;
    }, {});
};
export const extractObjectToFormDefaults = (obj, target = {}, path = '') => {
    Object.entries(obj).forEach(([key, value]) => {
        if (typeof value === 'object' && value && !Array.isArray(value)) {
            extractObjectToFormDefaults(value, target, path + key + '.');
        }
        else {
            target[path + key] = value;
        }
    });
    return target;
};
//# sourceMappingURL=data-fix.js.map