import { useSubscriber } from '../../../../../hooks/self/use-subscriber';
import React from 'react';
import { cls } from '../../../../../util/self/classes';
import { InputBorder } from '../../_shared';
export const Content = ({ _files, label, _error, open, disabled }) => {
    const files = useSubscriber(_files);
    const fast = !files ? [] : files instanceof FileList ? files : [files];
    const filled = !!files && fast.length > 0;
    return (React.createElement("div", { className: 'relative', onClick: open },
        React.createElement("div", { className: cls('border border-transparent common-floating flex justify-between p-2 w-full', cls(filled, 'filled')) },
            files &&
                !!fast.length &&
                Array.from(fast).map((value) => (React.createElement("div", { key: value.name, className: 'inline last:mr-0 pointer select-none' }, value.name))),
            "\u00A0"),
        React.createElement(InputBorder, { _error: _error, disabled: disabled, label: label })));
};
//# sourceMappingURL=content.js.map