import React, { useCallback, useRef } from 'react';
import { useField } from '../../../hooks/use-field';
import { InputError } from '../../_shared';
import { Content } from './content';
export const File = ({ name, label, multiple }) => {
    const { subscriber: { error: _error, value: _files }, setValue, } = useField(name, null);
    const ref = useRef(null);
    const open = useCallback(() => {
        if (ref.current)
            ref.current.click();
    }, []);
    const change = useCallback((value) => {
        if (!value)
            setValue(null);
        else if (multiple)
            setValue(value);
        else
            setValue(value.length ? value[0] : null);
    }, [multiple, setValue]);
    return (React.createElement("div", { className: 'relative w-full' },
        React.createElement("input", { ref: ref, type: 'file', className: 'hidden', multiple: multiple, onChange: (e) => change(e.target.files) }),
        React.createElement(Content, { label: label, _error: _error, _files: _files, open: open }),
        React.createElement(InputError, { _error: _error })));
};
//# sourceMappingURL=file.js.map