import { useSubscriber } from '../../../../../hooks';
import React from 'react';
import { cls, clsIf } from '../../../../../util';
import { Icon } from '../../../../common/icon';
import { InputBorder } from '../../_shared';
export const Content = ({ setValue, _error, label, _selected, disabled }) => {
    const { items } = useSubscriber(_selected);
    const filled = items.length > 0;
    const clear = (event) => {
        event.stopPropagation();
        setValue((value) => (Array.isArray(value) ? [] : null));
    };
    const many = items.length > 1;
    return (React.createElement("div", { className: 'border border-transparent p-2' },
        React.createElement("div", { className: cls('common-floating flex items-center justify-between', cls(filled, 'filled')) },
            React.createElement("div", { className: 'cursor-pointer flex flex-wrap gap-2 justify-items-stretch' },
                items.map((item) => (React.createElement("div", { key: item.id, className: cls('inline-block', cls(many, 'bg-gray-200 px-1'), cls(!!disabled, 'text-gray-300')) }, item.text))),
                "\u00A0"),
            filled ? (React.createElement(Icon, { type: 'clear', className: clsIf(!!disabled, 'pointer-events-none text-gray-300', 'cursor-pointer'), onClick: clear, tabIndex: 0 })) : (React.createElement(Icon, { type: 'expand_more', className: clsIf(!!disabled, 'pointer-events-none text-gray-300', 'cursor-pointer'), tabIndex: 0 }))),
        React.createElement(InputBorder, { _error: _error, disabled: disabled, label: label })));
};
//# sourceMappingURL=content.js.map