var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useCallback, useRef } from 'react';
import { useField } from '../../../hooks/use-field';
import { useSubscriberCallback } from '../../../../../hooks/self/use-subscriber';
import TextareaAutosize from 'react-textarea-autosize';
import { InputBorder, InputError } from '../../_shared';
export const TextArea = (_a) => {
    var { name, label, disabled } = _a, props = __rest(_a, ["name", "label", "disabled"]);
    const ref = useRef(null);
    const { subscriber: { value: valueSb, error: _error }, setValue, } = useField(name, '');
    useSubscriberCallback(valueSb, useCallback((value) => {
        if (ref.current)
            ref.current.value = value;
    }, []));
    return (React.createElement("div", { className: 'w-full' },
        React.createElement("div", { className: 'flex relative w-full' },
            React.createElement(TextareaAutosize, Object.assign({ ref: ref, onChange: (e) => setValue(e.target.value), className: 'bg-transparent block border border-transparent input-floating p-2 w-full', placeholder: ' ' }, props)),
            React.createElement(InputBorder, { disabled: disabled, _error: _error, label: label })),
        React.createElement(InputError, { _error: _error })));
};
//# sourceMappingURL=text-area.js.map