var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useCallback, useRef } from 'react';
import { transformers } from '../other/transformer';
import { useField } from '../../../hooks/use-field';
import { useSubscriberCallback } from '../../../../../hooks/self/use-subscriber';
import { cls } from '../../../../../util/self/classes';
import { InputBorder, InputError } from '../../_shared';
export const TextBlock = (_a) => {
    var _b;
    var { name, className, label = 'test', type, disabled } = _a, props = __rest(_a, ["name", "className", "label", "type", "disabled"]);
    const ref = useRef(null);
    const transformer = transformers[type];
    const { setValue, subscriber: { value: _value, error: _error }, } = useField(name, transformer.toString(''));
    useSubscriberCallback(_value, useCallback((e) => {
        if (ref.current)
            ref.current.value = transformer.toString(e);
    }, [transformer]));
    return (React.createElement("div", { className: cls('w-full', className) },
        React.createElement("div", { className: 'relative' },
            React.createElement("input", Object.assign({ ref: ref, type: (_b = transformer.htmlType) !== null && _b !== void 0 ? _b : type, onChange: (x) => setValue(transformer.fromString(x.target.value)), className: 'bg-transparent block border border-transparent input-floating p-2 w-full', placeholder: ' ' }, props)),
            React.createElement(InputBorder, { _error: _error, disabled: disabled, label: label })),
        React.createElement(InputError, { _error: _error })));
};
//# sourceMappingURL=text-block.js.map