import React, { useCallback } from 'react';
import { useField } from '../../../hooks/use-field';
import { useSubscriberCallback } from '../../../../../hooks/self/use-subscriber';
import { ValueRender } from './value-render';
export const Value = ({ name, render, onChange }) => {
    const { subscriber } = useField(name, null);
    useSubscriberCallback(subscriber.value, useCallback((value) => {
        if (onChange)
            onChange(value);
    }, [onChange]));
    return render ? React.createElement(ValueRender, { render: render, valueSb: subscriber.value }) : null;
};
//# sourceMappingURL=value.js.map