import { ErrorType, FieldError } from '../../types/server-response';
export declare type Value = {
    [key: string]: Field;
};
export declare type Field<T = any> = [T, string];
export declare type NamedCallback = {
    [key: string]: Callback[];
};
export declare type Setter = (name: string, data: any) => void;
export declare type Callback<T = any> = (data: Field<T>) => void;
export interface FormHandlerProps<TOut, TIn> {
    success?: (out: TOut, model: TIn) => void | Partial<TOut> | true;
    fieldError?: (errors: FieldError[]) => void;
    catch?: (error: ErrorType) => void;
    load?: () => Promise<Partial<TIn>>;
    custom?: (model: TIn) => TIn;
    auto?: boolean;
    autoDelay?: number;
    hideLoading?: boolean;
    warnOnExit?: boolean;
}
export interface Handler<TOut, TIn> extends FormHandlerProps<any, any> {
    submit: (model: TIn) => void | Promise<TOut>;
}
//# sourceMappingURL=types.d.ts.map