import { createContext, useCallback, useContext, useEffect } from 'react';
export const Context = createContext([]);
const useRefresh = () => {
    const context = useContext(Context);
    if (!Array.isArray(context))
        throw 'RefreshProvider not found!';
    return useCallback(() => context.forEach((e) => e()), [context]);
};
const useAddRefresh = (callback) => {
    const context = useContext(Context);
    if (!Array.isArray(context))
        throw 'RefreshProvider not found!';
    useEffect(() => {
        context.push(callback);
        return () => {
            context.splice(context.indexOf(callback), 1);
        };
    }, [context, callback]);
};
export { useRefresh, useAddRefresh };
//# sourceMappingURL=state.js.map