import { Menu } from './menu';
import React from 'react';
import { Icon } from '../../../common/icon';
import { cls } from '../../../../util/classes';
import { useHover } from '../../../../hooks/use-hover';
import { useLocalStorage } from '../../../../hooks/use-local-storage';
export const Sidebar = ({ menu }) => {
    const [open, setOpen] = useLocalStorage('dashboard_sidebar_open', true);
    const [hover, controller] = useHover();
    const _open = open || hover;
    return (React.createElement("div", Object.assign({}, controller, { className: cls('h-screen w-16 transition-all duration-500 bg-gray-700', _open ? 'w-60' : 'w-16') }),
        React.createElement("div", { className: cls('h-16 w-full flex items-center 2xl:bg-indigo-500 text-white', _open ? 'justify-between px-4' : 'justify-center') },
            _open && React.createElement("div", { className: 'text-3xl' }, "Alegrary"),
            React.createElement(Icon, { className: 'text-4xl cursor-pointer', type: open ? 'menu_open' : 'menu', onClick: () => setOpen(!open) })),
        React.createElement("div", { className: 'overflow-y-auto overflow-x-hidden' },
            React.createElement(Menu, { menus: menu, collapse: !open && !hover }))));
};
//# sourceMappingURL=index.js.map