import React, { Fragment, useState } from 'react';
import { Link } from 'react-router-dom';
import { Icon } from '../../../../common/icon';
export const Menu = ({ menus, collapse }) => {
    return (React.createElement("div", { className: 'c_menu my-4 list-none' },
        React.createElement(Items, { menus: menus, collapse: collapse })));
};
const Items = ({ menus, collapse }) => (React.createElement(Fragment, null, menus.map((menu, index) => (React.createElement(Item, Object.assign({ key: index }, menu, { collapse: collapse }))))));
const Item = ({ icon, text, url, submenu, collapse }) => {
    const [open, setOpen] = useState(false);
    return (React.createElement("li", null,
        React.createElement(Link, { to: url !== null && url !== void 0 ? url : '#', className: 'menu-link py-4 text-gray-200 hover:bg-gray-500 cursor-pointer relative flex bg-in', onClick: () => setOpen(!open) },
            icon && React.createElement(Icon, { type: icon, className: 'w-16 text-center', style: { minWidth: '4rem' } }),
            !collapse && (React.createElement("div", { className: 'flex w-full pr-4 justify-between items-center' },
                React.createElement("span", { className: 'leading-4' }, text),
                submenu && React.createElement(Icon, { type: open ? 'expand_less' : 'expand_more' })))),
        open && !collapse && (React.createElement("ul", null, submenu === null || submenu === void 0 ? void 0 : submenu.map((menu, index) => (React.createElement(Item, Object.assign({ key: index }, menu, { collapse: false }))))))));
};
//# sourceMappingURL=index.js.map