import React, { useCallback } from 'react';
import { util } from '../../../util/self/util';
import { nameof } from 'ts-simple-nameof';
import { cls } from '../../../util/self/classes';
import { Icon } from '../../common/icon';
export const HeadColumn = ({ column, current, setSort, total, index }) => {
    const name = column.sortable ? util.upperFirstChar(nameof(column.sortable)) : null;
    const toggle = useCallback(() => {
        if (!name)
            return;
        if (current.sortColumn === name)
            setSort({ sortAsc: !current.sortAsc });
        else
            setSort({ sortColumn: name, sortAsc: true });
    }, [current.sortAsc, current.sortColumn, name, setSort]);
    return (React.createElement("th", { className: cls('font-semibold py-2 text-blue-500', column.className, cls(index !== 0, 'pl-4'), cls(index + 1 !== total, 'pr-4')) },
        React.createElement("div", { className: cls('flex gap-2', cls(!!name, 'cursor-pointer')), onClick: toggle },
            React.createElement("div", null, column.title),
            name && current.sortColumn === name && (React.createElement(Icon, { type: current.sortAsc ? 'arrow_drop_down' : 'arrow_drop_up' })))));
};
//# sourceMappingURL=head-column.js.map