import React, { Fragment, useCallback, useState } from 'react';
import { useSubscriber } from '../../../hooks/self/use-subscriber';
import { Icon } from '../../common/icon';
import { cls } from '../../../util/self/classes';
export const TableBody = ({ valueToKey, datasource, columns, expand }) => {
    const [expanded, setExpanded] = useState(0);
    const items = useSubscriber(datasource.subscriber.items);
    const toggle = useCallback((value) => {
        setExpanded((old) => (old === value ? 0 : value));
    }, []);
    const canExpand = !!expand;
    return (React.createElement("tbody", null,
        items.map((item, itemIndex) => (React.createElement(Fragment, { key: valueToKey(item) },
            React.createElement("tr", null,
                canExpand && (React.createElement("td", { className: 'cursor-pointer shrink', onClick: () => toggle(valueToKey(item)) },
                    React.createElement(Icon, { type: expanded === valueToKey(item) ? 'expand_less' : 'expand_more' }))),
                columns.map((column, colIndex) => {
                    var _a;
                    return (React.createElement("td", { key: colIndex, className: cls('h-12 text-left', column.className, cls(itemIndex + 1 !== items.length, 'border-b border-gray-200'), cls(colIndex !== 0, 'pl-4'), cls(colIndex + 1 !== columns.length, 'pr-4')) }, (_a = column.render) === null || _a === void 0 ? void 0 : _a.call(column, item)));
                })),
            expanded === valueToKey(item) && (React.createElement("tr", null,
                React.createElement("td", null),
                React.createElement("td", { colSpan: columns.length }, expand === null || expand === void 0 ? void 0 : expand(item))))))),
        items.length === 0 && (React.createElement("tr", null,
            React.createElement("td", { colSpan: canExpand ? columns.length + 1 : columns.length, className: 'text-xl' }, "N\u00E3o foram encontrados resultados para sua busca")))));
};
//# sourceMappingURL=table-body.js.map