import React, { useCallback, useEffect } from 'react';
import { useSubscriber } from '../../../hooks/self/use-subscriber';
import { util } from '../../../util/self/util';
import { nameof } from 'ts-simple-nameof';
import { HeadColumn } from './head-column';
export const TableHead = ({ columns, datasource, empty }) => {
    const { sortColumn, sortAsc } = useSubscriber(datasource.subscriber.sort);
    const setSort = useCallback((sort) => datasource.set.sort(sort), [datasource]);
    useEffect(() => {
        if (!sortColumn) {
            const sortable = columns.map((e) => e.sortable).find((e) => !!e);
            if (sortable)
                setSort({ sortColumn: util.upperFirstChar(nameof(sortable)), sortAsc: true });
        }
    }, [columns, datasource, setSort, sortColumn]);
    return (React.createElement("thead", null,
        React.createElement("tr", null,
            empty && React.createElement("td", { className: 'shrink' }),
            columns.map((value, index) => (React.createElement(HeadColumn, { key: index, column: value, current: { sortColumn, sortAsc }, setSort: setSort, index: index, total: columns.length }))))));
};
//# sourceMappingURL=table-heade.js.map