import React, { useCallback, useMemo } from 'react';
import { useForm } from '../../form';
import { useModal, useModalClose } from '../../common/modal';
import { FormFilterModal } from '../../common/modal/util/form-filter-modal';
export const useDataFilter = (datasource, render, title = 'Filtrar dados') => {
    const modal = useModal();
    const close = useModalClose();
    const [model, handler] = useForm(useCallback((filter) => {
        datasource.set.filter(filter, { fixed: false, merge: false });
        close();
    }, [datasource, close]), useMemo(() => ({ load: () => Promise.resolve(datasource.subscriber.filter.stored.value()) }), [datasource]));
    return useCallback(() => {
        modal(() => (React.createElement(FormFilterModal, { handler: handler, title: title }, render(model))));
    }, [modal, title, handler, render, model]);
};
//# sourceMappingURL=use-data-filter.js.map