import { ReactElement } from 'react';
import { Datasource } from '../../hooks/use-datasource';
import { PagedFilter } from '../../types/paged-filter';
export interface DatatableSource<TFilter extends PagedFilter, TEntity> {
    datasource: Datasource<TFilter, TEntity>;
    columns: Column<TEntity>[];
    options?: {
        valueToKey?: (entity: TEntity) => number;
        expand?: (entity: TEntity) => JSX.Element;
    };
}
export interface Column<E> {
    title: string;
    className?: string;
    render: (item: E) => ReactElement | null | string | number;
    sortable?: (item: E) => any;
}
//# sourceMappingURL=types.d.ts.map