var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useCallback } from 'react';
import { Link as _Link } from 'react-router-dom';
import { Button, Modal, useModal, useModalClose, useSetLoading } from '../../../index';
import { useCancellablePromise } from '../../../hooks';
import { Icon } from '../../common/icon';
const Link = (_a) => {
    var { url, icon } = _a, rest = __rest(_a, ["url", "icon"]);
    return (React.createElement(_Link, Object.assign({}, rest, { to: url !== null && url !== void 0 ? url : '#' }),
        React.createElement(Icon, { type: icon })));
};
const Editor = (_a) => {
    var { url } = _a, rest = __rest(_a, ["url"]);
    return React.createElement(Link, Object.assign({}, rest, { icon: 'edit', url: url }));
};
const DeleteConfirm = ({ callback }) => {
    const close = useModalClose();
    const callbackAndClose = useCallback(() => {
        callback();
        close();
    }, [callback, close]);
    return (React.createElement(Modal, { size: 'sm' },
        React.createElement("div", { className: 'flex flex-col gap-4 p-4' },
            React.createElement("h1", { className: 'text-center' }, "Voc\u00EA confirma a exclus\u00E3o do item?"),
            React.createElement("div", { className: 'flex gap-4 justify-end' },
                React.createElement(Button, { type: 'button', pallet: 'blue_out', onClick: close }, "N\u00E3o"),
                React.createElement(Button, { type: 'button', pallet: 'blue', onClick: callbackAndClose }, "Sim")))));
};
const Delete = ({ refresh, del, id }) => {
    const modal = useModal();
    const setLoading = useSetLoading();
    const promise = useCancellablePromise(del);
    const _delete = useCallback(() => {
        const callback = () => {
            setLoading(true);
            promise(id)
                .then(refresh)
                .finally(() => setLoading(false));
        };
        modal(() => React.createElement(DeleteConfirm, { callback: callback }));
    }, [modal, setLoading, promise, id, refresh]);
    return (React.createElement(_Link, { to: '#', onClick: _delete },
        React.createElement(Icon, { type: 'delete', className: 'text-xl' })));
};
export const DtUtil = { Delete, Link, Editor };
//# sourceMappingURL=util.js.map