import { PagedFilter } from '../../types/self/paged-filter';
import { PromiseInfoBuilder } from '../../util/self/http';
import { Result } from '../../types/self/result';
import { Subscriber } from './use-subscriber';
interface Pagination {
    total: number;
    size: number;
    page: number;
}
export interface Sort {
    sortColumn: string;
    sortAsc?: boolean;
}
export interface Data<TFilter extends PagedFilter> {
    fixed?: Partial<TFilter>;
    stored?: Partial<TFilter>;
    storedKey?: string;
    size?: number;
}
export interface Datasource<TFilter extends PagedFilter, TEntity> {
    refresh: () => void;
    set: {
        filter: (filter: Partial<TFilter>, options?: {
            fixed?: boolean;
            merge?: boolean;
        }) => void;
        pagination: (pagination: Partial<Pagination>) => void;
        sort: (sort: Partial<Sort>) => void;
    };
    subscriber: {
        items: Subscriber<TEntity[]>;
        filter: {
            fixed: Subscriber<TFilter>;
            stored: Subscriber<TFilter>;
        };
        pagination: Subscriber<Pagination>;
        sort: Subscriber<Sort>;
        loading: Subscriber<boolean>;
    };
}
export declare const useDatasource: <TFilter extends PagedFilter, TEntity>(provider: PromiseInfoBuilder<TFilter, Result<TEntity>>, data?: Data<TFilter> | undefined) => Datasource<TFilter, TEntity>;
export {};
//# sourceMappingURL=use-datasource.d.ts.map