import { useEffect, useState } from 'react';
export const useMediaQuery = (query) => {
    const [match, setMatch] = useState(window.matchMedia(query).matches);
    useEffect(() => {
        const mediaList = window.matchMedia(query);
        const change = (event) => setMatch(event.matches);
        mediaList.addEventListener('change', change);
        return () => mediaList.removeEventListener('change', change);
    }, [query]);
    return match;
};
//# sourceMappingURL=use-media-query.js.map