import { useEffect, useState } from 'react';
export const useResize = (myRef) => {
    const [width, setWidth] = useState(window.innerWidth);
    const [height, setHeight] = useState(window.innerHeight);
    useEffect(() => {
        const handleResize = () => {
            var _a, _b, _c, _d;
            setWidth((_b = (_a = myRef.current) === null || _a === void 0 ? void 0 : _a.offsetWidth) !== null && _b !== void 0 ? _b : 0);
            setHeight((_d = (_c = myRef.current) === null || _c === void 0 ? void 0 : _c.offsetHeight) !== null && _d !== void 0 ? _d : 0);
        };
        window.addEventListener('resize', handleResize);
        handleResize();
        return () => {
            window.removeEventListener('resize', handleResize);
        };
    }, [myRef]);
    return { width, height };
};
//# sourceMappingURL=use-size.js.map