import { useEffect, useRef } from 'react';
export const useInterval = (callback, delay) => {
    const intervalId = useRef(0);
    useEffect(() => {
        intervalId.current = setInterval(callback, delay);
        callback();
        return () => clearInterval(intervalId.current);
    }, [callback, delay]);
};
//# sourceMappingURL=use-interval.js.map