import { useEffect, useState } from 'react';
export const useLocalStorage = (path, def) => {
    const [value, setValue] = useState(getItem(path, def));
    useEffect(() => setItem(path, value), [path, value]);
    return [value, setValue];
};
const getItem = (path, def) => {
    const json = localStorage.getItem(path);
    return json ? JSON.parse(json) : def;
};
const setItem = (path, item) => {
    localStorage.setItem(path, JSON.stringify(item));
};
//# sourceMappingURL=use-local-storage.js.map