import { useEffect, useRef } from 'react';
export const useOutsideClick = (active, callback, ignoreSelf = false) => {
    const ref = useRef(null);
    useEffect(() => {
        if (!active)
            return;
        const handleClick = (e) => {
            const node = e.target;
            ref.current &&
                node &&
                node.isConnected &&
                (!ref.current.contains(node) || (ignoreSelf && ref.current === e.target)) &&
                callback();
        };
        document.addEventListener('click', handleClick);
        return () => document.removeEventListener('click', handleClick);
    }, [active, callback, ignoreSelf]);
    return ref;
};
//# sourceMappingURL=use-outside-click.js.map