import { useCallback, useState } from 'react';
export const usePromiseCallback = (call, callback) => {
    const [loading, setLoading] = useState(false);
    return [
        useCallback((data) => {
            setLoading(true);
            call(data)
                .then(callback)
                .finally(() => setLoading(false));
        }, [call, callback, setLoading]),
        loading,
    ];
};
//# sourceMappingURL=use-promise-callback.js.map