import { RequestInfo } from '../types/request-info';
import { PromiseInfoBuilder } from '../util/http';
import { Subscriber } from './use-subscriber';
export declare type RequestSource<TValue> = {
    refresh: () => void;
    subscriber: {
        value: Subscriber<TValue>;
        loading: Subscriber<boolean>;
    };
};
declare const useRequest: <TData, TValue>(provider: PromiseInfoBuilder<TData, TValue>, request: RequestInfo<TData, TValue>) => RequestSource<TValue>;
export declare type RequestSettableSource<TData, TValue> = RequestSource<TValue> & {
    setData: (data: Partial<TData>, lock?: boolean) => void;
};
declare const useRequestSettable: <TData, TValue>(provider: PromiseInfoBuilder<TData, TValue>, request: RequestInfo<TData, TValue>) => RequestSettableSource<TData, TValue>;
export { useRequest, useRequestSettable };
//# sourceMappingURL=use-request.d.ts.map