export declare type SubscriberListener<TValue> = (listen: (value: TValue) => void) => () => void;
export declare type Subscriber<TValue> = {
    value: () => Readonly<TValue>;
    subscribe: SubscriberListener<TValue>;
};
export declare type Observable<TValue> = {
    value: () => Readonly<TValue>;
    dispatch: (value: Partial<TValue>, merge?: boolean) => void;
    subscriber: Subscriber<TValue>;
};
export declare const useSubscriber: <TValue>(subscriber: Subscriber<TValue>) => TValue;
export declare const createObservable: <TValue>(initial: TValue) => Observable<TValue>;
//# sourceMappingURL=use-subscriber%20copy.d.ts.map