import { useEffect, useState } from 'react';
export const useSubscriber = (subscriber) => {
    const [value, setValue] = useState(subscriber.value());
    useEffect(() => subscriber.subscribe(setValue), [subscriber]);
    return value;
};
export const createObservable = (initial) => {
    const listening = [];
    let current = initial;
    const value = () => current;
    const dispatch = (value, merge = false) => {
        const old = current;
        current = (merge ? Object.assign(Object.assign({}, current), value) : value);
        if (current === old)
            return;
        listening.forEach((x) => x(current));
    };
    const subscriber = {
        value,
        subscribe: (callback) => {
            listening.push(callback);
            callback(current);
            return () => listening.splice(listening.indexOf(callback), 1);
        },
    };
    return { value, dispatch, subscriber };
};
//# sourceMappingURL=use-subscriber-callback.js.map