import { useCallback, useRef } from 'react';
import { useInterval } from './use-interval';
const useVisibleAtBottom = (callback) => {
    const ref = useRef(null);
    const handler = useCallback(() => {
        const element = ref.current;
        if (element) {
            if (element.clientHeight < window.scrollY + window.innerHeight) {
                callback();
            }
        }
    }, [callback]);
    useInterval(handler, 1000);
    return ref;
};
export { useVisibleAtBottom };
//# sourceMappingURL=use-visible-at-bottom.js.map