import { util } from './util';
const currencyFormat = new Intl.NumberFormat('pt-BR', { style: 'currency', currency: 'brl' });
const currency = (value) => {
    return currencyFormat.format(value);
};
const addZero = (value) => {
    return value > 9 ? value.toString() : '0' + value;
};
const date = (value) => {
    const valDate = util.toDate(value);
    const day = valDate.getDate();
    const month = valDate.getMonth() + 1;
    const year = valDate.getFullYear();
    return addZero(day) + '/' + addZero(month) + '/' + year.toString();
};
const time = (value) => {
    const valDate = util.toDate(value);
    const hour = valDate.getHours();
    const minute = valDate.getMinutes();
    return addZero(hour) + ':' + addZero(minute);
};
const dateAndTime = (value) => {
    const valDate = util.toDate(value);
    return date(valDate) + ' ' + time(valDate);
};
export const formatter = { currency, date, time, dateAndTime };
//# sourceMappingURL=formatter.js.map