import { ErrorType } from '../types/server-response';
import { AxiosRequestConfig, CancelTokenSource } from 'axios';
declare const useHttpErrorHandler: (callback: (error: ErrorType) => void) => void;
declare const useSetHeader: (key: string, value: string) => void;
declare const createCancellable: () => CancelTokenSource;
declare const http: {
    request: <D, R>(url: string, method: Method, data?: D | undefined, info?: PromiseInfo | undefined, dataType?: DataType | undefined) => Promise<R>;
    post: <D_1, R_1>(url: string, type?: DataType | undefined) => PromiseInfoBuilder<D_1, R_1>;
    get: <D_2, R_2>(url: string, type?: DataType | undefined) => PromiseInfoBuilder<D_2, R_2>;
    delete: <D_3, R_3>(url: string, type?: DataType | undefined) => PromiseInfoBuilder<D_3, R_3>;
    put: <D_4, R_4>(url: string, type?: DataType | undefined) => PromiseInfoBuilder<D_4, R_4>;
};
export declare type Method = 'GET' | 'POST' | 'PUT' | 'DELETE';
declare type PromiseInfo = Pick<AxiosRequestConfig, 'onDownloadProgress' | 'onUploadProgress' | 'cancelToken'>;
declare type PromiseBuilder<D, R> = (data: D) => Promise<R>;
declare type PromiseInfoBuilder<D, R> = (info?: PromiseInfo) => PromiseBuilder<D, R>;
declare type DataType = 'JSON' | 'FORMDATA';
export type { PromiseBuilder, PromiseInfoBuilder, PromiseInfo };
export { http, useHttpErrorHandler, useSetHeader, createCancellable };
//# sourceMappingURL=http.d.ts.map