export const delayed = (promise, delay = 0) => {
    return new Promise((resolve, reject) => {
        const time = Date.now();
        promise
            .then((e) => {
            const diff = Date.now() - time;
            if (diff > delay)
                resolve(e);
            else
                setTimeout(() => resolve(e), delay - diff);
        })
            .catch(reject);
    });
};
//# sourceMappingURL=delayed.js.map